libqtgui4-perl_4.14.1-0ubuntu11_i386.deb


Advertisement

Description

libqtgui4-perl - perl bindings for the Qt Gui library

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqtgui4-perl
Package version 4.14.1
Package release 0ubuntu11
Package architecture i386
Package type deb
Installed size 927 B
Download size 231.31 KB
Official Mirror archive.ubuntu.com
This package contains perl bindings for the Qt Gui library.
It enables the use of Qt applications written in perl. For more details
see the libqtgui4 package.
This Package is part of the PerlQt module.

Alternatives

Package Version Architecture Repository
libqtgui4-perl_4.14.1-0ubuntu11_amd64.deb 4.14.1 amd64 Ubuntu Universe
libqtgui4-perl - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libperl5.26 >= 5.26.0~rc1
libqtcore4 >= 4:4.7.0~beta1
libqtcore4-perl = 4:4.14.1-0ubuntu11
libsmokebase3v5 >= 4:4.14.3
libsmokeqtgui4-3 >= 4:4.14.3
libstdc++6 >= 5.2
perl >= 5.26.1-4build1
perlapi-5.26.1 -

Download

Type URL
Binary Package libqtgui4-perl_4.14.1-0ubuntu11_i386.deb
Source Package perlqt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqtgui4-perl deb package:
    # sudo apt-get install libqtgui4-perl

Files

Path
/usr/bin/puic4
/usr/lib/i386-linux-gnu/perl5/5.26/QtGui4.pm
/usr/lib/i386-linux-gnu/perl5/5.26/auto/QtGui4/QtGui4.so
/usr/share/doc/libqtgui4-perl/changelog.Debian.gz
/usr/share/doc/libqtgui4-perl/copyright

Changelog

2018-02-07 - Matthias Klose <doko@ubuntu.com>
perlqt (4:4.14.1-0ubuntu11) bionic; urgency=medium
* Stop building the packages not having smokeqt support anymore.
2018-02-07 - Matthias Klose <doko@ubuntu.com>
perlqt (4:4.14.1-0ubuntu10) bionic; urgency=medium
* No-change rebuild for qscintilla2 soname change.
2017-07-26 - Matthias Klose <doko@ubuntu.com>
perlqt (4:4.14.1-0ubuntu9) artful; urgency=medium
* No-change rebuild for perl 5.26.0.
2016-10-25 - Iain Lane <iain@orangesquash.org.uk>
perlqt (4:4.14.1-0ubuntu8) zesty; urgency=medium
* debian/patches/0001-Initialize-smokeperl_object-properly.patch:
Cherry-pick from upstream to build with GCC 6.
2015-12-28 - Colin Watson <cjwatson@ubuntu.com>
perlqt (4:4.14.1-0ubuntu7) xenial; urgency=medium
* Remove libqtwebkit4-perl binary package, since WebKit support has been
removed from smokeqt (see https://bugs.debian.org/784528).
2015-12-18 - Colin Watson <cjwatson@ubuntu.com>
perlqt (4:4.14.1-0ubuntu6) xenial; urgency=medium
* Rebuild for Perl 5.22.1.
2015-11-07 - Steve Langasek <steve.langasek@ubuntu.com>
perlqt (4:4.14.1-0ubuntu5) xenial; urgency=medium
* No-change rebuild against libsmokeqttest4-3
2015-08-31 - Matthias Klose <doko@ubuntu.com>
perlqt (4:4.14.1-0ubuntu4) wily; urgency=medium
* No-change rebuild against libsmokeqtcore4-3v5
2015-08-12 - Steve Langasek <steve.langasek@ubuntu.com>
perlqt (4:4.14.1-0ubuntu3) wily; urgency=medium
* No-change rebuild against libsmokeqtcore4-3v5
2014-10-31 - Scott Kitterman <scott@kitterman.com>
perlqt (4:4.14.1-0ubuntu2) vivid; urgency=medium
* Add debian/patches/additionalperl5.20.diff from upstream to complete
Perl 5.20 compatibility fixes

See Also

Package Description
libqtgui4_4.8.7+dfsg-7ubuntu1_i386.deb Qt 4 GUI module
libqtkeychain1_0.7.0-3_i386.deb Qt API to store passwords
libqtnetwork4-perl_4.14.1-0ubuntu11_i386.deb perl bindings for the Qt Network library
libqtpropertybrowser-dev_4.0.4-2ubuntu4_i386.deb Qt Property Browser Library - development
libqtpropertybrowser4_4.0.4-2ubuntu4_i386.deb Qt Property Browser Library - runtime
libqtscript4-core_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 Core library
libqtscript4-doc_0.2.0-1build1_all.deb Qt 4 QtScript bindings API documentation and examples
libqtscript4-gui_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 Gui library
libqtscript4-network_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 Network library
libqtscript4-opengl_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 OpenGL library
libqtscript4-phonon_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 Phonon library
libqtscript4-qtbindings_0.2.0-1build1_i386.deb QtScript bindings for Qt 4 - metapackage
libqtscript4-sql_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 SQL library
libqtscript4-svg_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 SVG library
libqtscript4-uitools_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 UiTools library
Advertisement
Advertisement